summaryrefslogtreecommitdiffstats
path: root/system/artwiz-aleczapka/artwiz-aleczapka.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/artwiz-aleczapka/artwiz-aleczapka.SlackBuild')
-rw-r--r--system/artwiz-aleczapka/artwiz-aleczapka.SlackBuild92
1 files changed, 63 insertions, 29 deletions
diff --git a/system/artwiz-aleczapka/artwiz-aleczapka.SlackBuild b/system/artwiz-aleczapka/artwiz-aleczapka.SlackBuild
index 766372d7d9..104f2dc920 100644
--- a/system/artwiz-aleczapka/artwiz-aleczapka.SlackBuild
+++ b/system/artwiz-aleczapka/artwiz-aleczapka.SlackBuild
@@ -1,20 +1,31 @@
#!/bin/sh
# Slackware build script for artwiz-aleczapka
-# Written by Kyle Guinn <elyk03@gmail.com>
-set -e
-
-# To make a package for fonts other than English, run the script as, for
-# example, "FONTLANG=de ./artwiz-aleczapka.SlackBuild". You will need to
-# download the correct tarball and place it in this directory. See the
-# SourceForge download page for the available tarballs.
-FONTLANG=${FONTLANG:-en}
+# Copyright 2013 Kyle Guinn <elyk03@gmail.com>, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-PRGNAM=artwiz-aleczapka-$FONTLANG
-VERSION=1.3
+PRGNAM=artwiz-aleczapka
+VERSION=${VERSION:-1.3}
ARCH=noarch
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
CWD=$(pwd)
@@ -22,35 +33,58 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+# All of the fonts advertise themselves as being ISO-8859-1 encoded, although
+# some are not. (CP437 is a better match for some.) The "en" source has most
+# of the ASCII subset complete, and the "de" and "se" sources add a few glyphs
+# for Latin-1 characters that are important to those languages. However these
+# alternative languages have the font family and face names suffixed with
+# ".de" and ".se" so their usefulness is questionable.
+#
+# To make a package for fonts other than English, run the script as, for
+# example, "FONTLANG=de ./artwiz-aleczapka.SlackBuild". You will need to
+# download the correct tarball and place it in this directory. See the
+# SourceForge download page for the available tarballs.
+FONTLANG=${FONTLANG:-en}
+
+# Careful, the various source packages contain different sets of docs.
+# This pattern for $DOCS is common to all; the other files seem uninteresting.
+SRCNAM=$PRGNAM-$FONTLANG-sources
+DOCS="AUTHORS COPYING README*"
+
+# Add a -$FONTLANG suffix to the package name when building one of the
+# alternate language packages. All can be installed simultaneously.
+# This fits with the source's theme of suffixing the filenames and the font
+# family and face names in the non-English versions.
+if [ ! "${FONTLANG}" = "en" ]; then
+ PRGNAM=$PRGNAM-$FONTLANG
+ PKG=$PKG-$FONTLANG
+fi
+
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
-rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
-cd $PRGNAM-$VERSION
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.bz2
+cd $SRCNAM-$VERSION
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
-
-# The English package contains a cursor font. To avoid clobbering the
-# existing one (from the x/font-cursor-misc package), rename it.
-# TODO: Figure out and document how to set the default cursor font.
-if [ -e cursor.pcf ]; then
- mv cursor.pcf artwiz-cursor.pcf
-fi
+chmod -R u+w,go-w,a+rX-st .
-gzip -9 *.pcf
-mkdir -p $PKG/usr/share/fonts/misc
-cp -a *.pcf.gz $PKG/usr/share/fonts/misc
+for bdf in *.bdf; do
+ pcf=$(basename $bdf .bdf).pcf
+ bdftopcf -o $pcf $bdf
+ install -m 0644 -D $pcf $PKG/usr/share/fonts/misc/$pcf
+done
+find $PKG/usr/share/fonts/misc -type f -exec gzip -9 {} \;
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS COPYING ChangeLog NEWS README* \
- $PKG/usr/doc/$PRGNAM-$VERSION || true
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/artwiz-aleczapka.SlackBuild > \
$PKG/usr/doc/$PRGNAM-$VERSION/artwiz-aleczapka.SlackBuild
mkdir -p $PKG/install
-# Fix the package name in the slack-desc file
-sed s/FONTLANG/$FONTLANG/g $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG